%define          configfile     motion.conf

Name:            motion
Version:         4.0.1
Release:         %mkrel 3
#because I screwed up the pre-release tag before :(
Epoch:           1
Summary:         A highly customizable software motion detector
License:         GPLv2
Group:           Video/Utilities

URL:             https://github.com/Motion-Project/motion
Source0:         https://github.com/Motion-Project/motion/archive/motion-release-%{version}.tar.gz
Source1:         %{name}-tmpfiles.conf

BuildRequires:   jpeg-devel
BuildRequires:   ffmpeg-devel
BuildRequires:   mysql-devel
BuildRequires:   sqlite3-devel
BuildRequires:   postgresql-libs-devel
BuildRequires:   linux-userspace-headers
BuildRequires:   SDL-devel

Requires(post):  systemd >= %{systemd_required_version}


%description
Motion is a software motion detector. It grabs images from
video4linux devices and/or from web cams (such as the axis network
cameras). It is the perfect tool for keeping an eye on your
property keeping only those images that are interesting.

%prep
%setup -q -n %{name}-release-%{version}


%build
autoreconf -fi
%configure --with-sdl=%{_prefix} \
           --without-optimizecpu
%make_build


%install
%make_install

%__mv %{buildroot}%{_sysconfdir}/%{name}/motion-dist.conf %{buildroot}%{_sysconfdir}/%{name}/%{configfile}
%__chmod 644 %{buildroot}%{_sysconfdir}/%{name}/%configfile

%__rm -Rf %{buildroot}/%{_datadir}/doc/

#systemd compat
%__install -D -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf


%post
%_tmpfilescreate %{name}



%files
%config(noreplace) %{_sysconfdir}/%{name}/motion.conf
%config(noreplace) %{_sysconfdir}/%{name}/camera*-dist.conf
%{_bindir}/motion
%{_mandir}/man1/motion.1*
%{_datadir}/%{name}
%{_tmpfilesdir}/%{name}.conf





%changelog
* Tue May 02 2017 akien <akien> 1:4.0.1-3.mga6
+ Revision: 1098311
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1:4.0.1-2.mga6
+ Revision: 1089881
- Rebuild for ffmpeg 3.2.4

* Sat Jan 14 2017 eatdirt <eatdirt> 1:4.0.1-1.mga6
+ Revision: 1081629
- Upgrade to version 4.0.1

* Fri Mar 18 2016 eatdirt <eatdirt> 1:3.4.1-0.20151019git.1.mga6
+ Revision: 992825
- Upgrade to latest git

* Mon Feb 15 2016 umeabot <umeabot> 1:3.4.0-0.20151003git.2.mga6
+ Revision: 961497
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 eatdirt <eatdirt> 1:3.4.0-0.20151003git.1.mga6
+ Revision: 889799
- Upgrade to latest git HEAD

* Tue Nov 25 2014 cjw <cjw> 1:3.2.12-1.20140327git.2.mga5
+ Revision: 799051
- rebuild against postgresql9.4

* Fri Nov 14 2014 akien <akien> 1:3.2.12-1.20140327git.1.mga5
+ Revision: 797100
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1:3.2.12-0.20140327git.9.mga5
+ Revision: 745812
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.2.12-0.20140327git.8.mga5
+ Revision: 682604
- Mageia 5 Mass Rebuild

* Thu Mar 27 2014 eatdirt <eatdirt> 1:3.2.12-0.20140327git.7.mga5
+ Revision: 609038
- Upgrade to latest git commit

* Sat Oct 19 2013 umeabot <umeabot> 1:3.2.12-0.20120717git.6.mga4
+ Revision: 529660
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1:3.2.12-0.20120717git.5.mga4
+ Revision: 405136
- Use tmpfiles macros and add system version to requires (mga#9302)

* Sat Jan 12 2013 umeabot <umeabot> 1:3.2.12-0.20120717git.4.mga3
+ Revision: 360290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1:3.2.12-0.20120717git.3.mga3
+ Revision: 341834
- update rpm group
- rebuild for new ffmpeg

* Mon Sep 10 2012 eatdirt <eatdirt> 1:3.2.12-0.20120717git.2.mga3
+ Revision: 291657
- adding support for sqlite3

* Sat Aug 25 2012 eatdirt <eatdirt> 1:3.2.12-0.20120717git.1.mga3
+ Revision: 283865
- Fix systemd compat on tmpfiles, fix pre-release tag

* Mon Aug 13 2012 eatdirt <eatdirt> 3.2.12.20120717git-0.mga3
+ Revision: 281073
- Upgrade to git snapshot, support ffmpeg-0.11 new api

* Tue Jun 12 2012 eatdirt <eatdirt> 3.2.12-9.mga3
+ Revision: 260079
- Removing ffmpeg support (seriously broken by new libavformat54 API)

* Thu Dec 15 2011 eatdirt <eatdirt> 3.2.12-8.mga2
+ Revision: 181896
- Rebuild for ffmpeg-0.9-1 (patch added)

* Sat Jun 25 2011 fwang <fwang> 3.2.12-7.mga2
+ Revision: 113458
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Thu Apr 07 2011 rtp <rtp> 3.2.12-6.mga1
+ Revision: 81621
- fix v4l2 support and allow to build without old v4l stuff
- drop patch0

  + ennael <ennael>
    - remove VAL2_OLD support as header is not provided anymore
    - add missing buildrequire
    - clean spec file
    - imported package motion

